Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.messaging
Class ReminderMessage

    java.lang.Object
      rice.p2p.replication.messaging.ReplicationMessage
          rice.p2p.replication.messaging.ReminderMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class ReminderMessage

extends ReplicationMessage

Version:
  $Id: ReminderMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.p2p.replication.messaging.ReplicationMessage
`source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`ReminderMessage(NodeHandle source)` Constructor which takes a unique integer Id

Method Summary
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.p2p.replication.messaging.ReplicationMessage
`getPriority, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### ReminderMessage

    public ReminderMessage(NodeHandle source)

  Constructor which takes a unique integer Id

  Parameters:
    `source` - The source address

Method Detail

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `ReplicationMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.